Name:           nted
Version:        1.0.7
Release:        2%{?dist}
Summary:        Musical score editor
Summary(de):    Partitureditor

Group:          Applications/Publishing
# Program source is GPLv2+, HTML manuals are GFDL 1.2+.
License:        GPLv2+ and GFDL
URL:            http://vsr.informatik.tu-chemnitz.de/staff/jan/nted/nted.xhtml
Source0:        http://vsr.informatik.tu-chemnitz.de/staff/jan/nted/nted-%{version}.tar.gz
Source1:        nted.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel alsa-lib-devel
BuildRequires:  gettext kdesdk yelp xmlto desktop-file-utils

%description
NtEd is a GTK score editor. It intends to be really WYSIWYG: what you
see on the screen is exactly what you get on printer output. It
supports up to 4 voices per staff, drum notes, 5 lyrics lines,
N-Tuplets, context changes, repeats with alternatives, configurable
music instruments per staff, MIDI and Postscript export, MusicXML
import. Scores can be played through the ALSA sequencer.


%description(de)
NtEd ist ein GTK-Partitureditor. Er soll das WYSIWYG-Prinzip
vollständig umsetzen: Was man auf dem Bildschirm sieht, sieht genau so
aus wie das, was man aus dem Drucker erhält.

NtEd unterstützt bis zu 4 Stimmen pro Notenzeile, Schlagzeugnoten, 5
Strophenzeilen, N-Tolen, Wiederholungen mit Alternativen, einstellbare
Musikinstrumente pro Notensystem, MIDI- und PostScript-Export,
MusicXML-Import.

Partituren können über den ALSA-Sequencer abgespielt werden.


%prep
%setup -q


%build
%configure --docdir='%{_docdir}/%{name}-%{version}'
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
mv %{buildroot}%{_docdir}/%{name}-%{version} docs
# Upstream desktop file contains some blank keys and is not spec-compliant
rm %{buildroot}%{_datadir}/applications/nted.desktop
desktop-file-install --vendor="fedora" \
  --dir=%{buildroot}%{_datadir}/applications \
  %{SOURCE1}
%find_lang %{name}


%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING docs/*
%{_bindir}/nted
%{_datadir}/applications/fedora-nted.desktop
%{_datadir}/pixmaps/nted.png
%{_datadir}/nted
%{_mandir}/*/*


%changelog
* Sun Sep  7 2008 Hans Ulrich Niedermann <hun@n-dimensional.de> - 1.0.7-2
- Consistently use %%{buildroot} instead of $RPM_BUILD_ROOT
- Ship upstream's now correct COPYING file.
- Ship all docs disregarding the languages.

* Sun Sep  7 2008 Hans Ulrich Niedermann <hun@n-dimensional.de> - 1.0.7-1
- Update to nted-1.0.7
- Remove all patches (all adopted by upstream now)
- Consistently use --docdir, %%docdir

* Sun Jun  8 2008 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.24.1-1
- Update to 0.24.1

* Sun Jun  8 2008 Hans Ulrich Niedermann <hun@n-dimensional.de> - 0.22.3-2.4
- Temporary test build
- Add GFDL to licenses
- Add lang(de) variants for Summary and Description
- Have nted look for html docs in correct place

* Tue Jun  3 2008 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.22.3-2
- Use compiler flags
- Fix compilation warnings
- Reorganize documentation files

* Fri Apr 25 2008 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.22.3-1
- Initial package

